Bug 185208 - No dbus service file exists for org.bluez.PinAgent
Summary: No dbus service file exists for org.bluez.PinAgent
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: bluez-utils   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Woodhouse
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-11 20:34 UTC by Jason Tackaberry
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-10 09:38:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jason Tackaberry 2006-03-11 20:34:03 UTC
When pairing with a device, I get this error in the syslog:

Mar 11 15:22:38 caladan hcid[23188]: pin_code_request (sba=00:14:A4:D4:CE:99,
dba=00:0F:86:26:BF:9B)
Mar 11 15:22:38 caladan hcid[23188]: org.freedesktop.DBus.Error.ServiceUnknown:
The name org.bluez.PinAgent was not provided by any .service files

Either a service file should exist (in /usr/share/dbus-1/services I assume) or
bluez-pin --dbus should be started on login.

Comment 1 David Woodhouse 2006-09-10 09:38:48 UTC
bluez-pin should indeed be started at login -- that's why the package contains
/etc/xdg/autostart/bluez-pin.desktop

If this isn't working, please file a bug against whatever component is
appropriate for the desktop environment you use.


Note You need to log in before you can comment on or make changes to this bug.